Subject: bug#64818: 30.0.50; c++-ts-mode highlight does not work

From: Theodor Thornhill <[email-masked]>
Date: Mon, 24 Jul 2023 16:31:41 +0200

Eli Zaretskii <[email-masked]> writes:

[...]

> Thanks.  The other report about this perhaps gives a hint:
>
>> From: David Come <[email-masked]>
>> Date: Mon, 24 Jul 2023 09:13:33 +0000
>> msip_labels: 
>> 
>> When opening a C++ file with major mode c++-ts-mode, there is not 
>> coloration 
>> 
>> In the Messsage buffer, I see 
>> 
>> Error during redisplay: (jit-lock-function 14) signaled (treesit-query-error "Node type error at" 99 "(true)
>> @font-lock-constant-face (false) @font-lock-constant-face (null) @font-lock-constant-face (nullptr)
>> @font-lock-constant-face" "Debug the query with `treesit-query-validate'") [2 times] 

Yep, nullptr was changed from named node to unnamed node last week [0].

I think we can live without a compat change and only target the node
as a normal keyword. I'll commit the fix if it is simple enough (the
simplest is just to remove the node altogether),
otherwise I'll send a patch for review. Sounds ok?

Theo

[0]: https://github.com/tree-sitter/tree-sitter-c/commit/c75868f8b508ae32a0c8490da91bb31b2b96430e#diff-f6ccc66a5a64b1af49076514274f92e3d50daaa5d97bb1c0db000df04fdc946bR3979